/* global exports */

//var crypto = require("./crypto.js"); 


encryptAES = function (texte, cle, iv){
    createKey(cle);
    createIV(iv);
    var encrypt = encryptAES(texte);
    encrypt = encrypt.toString();
    return encrypt.replace(/\=/g, "");
};

/*
exports.encryptAESPass = function (texte){
    var encrypt = crypto.encryptPass(texte);
    encrypt = encrypt.toString();
    return encrypt.replace(/\=/g, "");
}
*/

decryptAES = function (crypedText, cle, InitVector) {
    createKey(cle);
    createIV(InitVector);
    return decryptAES(crypedText);
};

/*
exports.decryptAESPass = function (crypted) {
    return crypto.decryptPass(crypted);
};
*/
